CalryOTA Docs
Cancellation policies

Create a policy from a preset or custom tiers

POST
/api/v1/cancellation-policies

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Header Parameters

x-calry-tenant-id?string

Tenant (host) whose policies to manage. If not provided, the default tenant is used.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/cancellation-policies" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "Summer strict",
  "preset": "FLEXIBLE",
  "tiers": [
    {
      "daysBeforeCheckIn": 7,
      "refundPercentage": 50
    }
  ],
  "version": 1,
  "archivedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}